MSK4PLCInternal::PLC Struct Reference

Internal and low level: the PLC different types and their structures. More...

## Public Types

enum | Position { P_ABS =0, P_REL, P_INCR, P_UNKNOWN }
| the way to define the text positions More...
enum | Type { T_CST =0, T_STRUCT, T_UNKNOWN }
| the type of the content More...
typedef enum MSK4TextInternal::PLCType | PLCType
| the PLC types More...

## Public Member Functions

| PLC (PLCType w=MSK4TextInternal::Unknown, Position p=P_UNKNOWN, Type t=T_UNKNOWN)
| constructor More...

## Public Attributes

PLCType | m_type
| PLC type. More...
Position | m_pos
| the way to define the text positions More...
Type | m_contentType
| the type of the content More...

## Detailed Description

Internal and low level: the PLC different types and their structures.

## Member Typedef Documentation

typedef enum MSK4TextInternal::PLCType MSK4PLCInternal::PLC::PLCType

the PLC types

## Member Enumeration Documentation

enum MSK4PLCInternal::PLC::Position

the way to define the text positions

- P_ABS: absolute position,
- P_REL: position are relative to the beginning text offset,
- P_INCR: position are the length of text consecutive zones

Enumerator
P_ABS |
P_REL |
P_INCR |
P_UNKNOWN |

enum MSK4PLCInternal::PLC::Type

the type of the content

- T_CST: size is constant
- T_STRUCT: a structured type ( which unknown size)

Enumerator
T_CST |
T_STRUCT |
T_UNKNOWN |

## Constructor & Destructor Documentation

MSK4PLCInternal::PLC::PLC | ( | PLCType | w = `MSK4TextInternal::Unknown`,
|  | Position | p = `P_UNKNOWN`,
|  | Type | t = `T_UNKNOWN`
| ) |  |

inline

constructor

## Member Data Documentation

Type MSK4PLCInternal::PLC::m_contentType

the type of the content

Referenced by MSK4Text::readPLC().

Position MSK4PLCInternal::PLC::m_pos

the way to define the text positions

Referenced by MSK4Text::readPLC().

PLCType MSK4PLCInternal::PLC::m_type

PLC type.

Referenced by MSK4Text::readPLC().

The documentation for this struct was generated from the following file:

- MSK4Text.cxx